=== debian/changelog ===
libffado (2.4.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #887846.
    Drop sconstruct.patch, applied upstream.
  * Switch watch file to format 4.
  * Remove obsolete control.in.
    The last motivation seems to be @cdbs@, now unused.
  * Remove debian/*.dirs, obsolete with recent debhelper.
  * Delete trailing whitespaces in this changelog.
  * Drop ffado.1 uninstalled Debian manpage.
  * Pass Debian build flags to scons and show them in log.
    This probably fixes #864717.
    Enable all hardening flags.
    Link with --as-needed in order to reduce dependencies.
  * Build-Dependencies: drop dh-exec (looking for a maintainer).
    Sort, drop autotools-dev, dh-buildinfo (see  2.3.0-1 and -3).
  * Also drop licensecheck, a long warning about it being unavailable
    is better than a short failure report.
  * Standards-version: 4.1.4.
  * Move ffado-debug manual page to the package providing the executable.
    Break/Replace accordingly.
  * Replace Debian manpages with upstream manpages when available.
    Move manpages to a subdirectory to simplify packaging.
  * Check and update the copyright file.
  * Clean all *.pyc instead of only one.
  * rules: always call scons with same arguments.
  * rules: drop makeshlib version argument.
    Redundant with "Depend: libffado2 (=${binary:Version}".
  * rules: report failures (mkdir -p, rm -f report unexpected problems).
  * Drop unneeded shlib:Depends.
    -dev does not provide binaries, mixer is arch-independent.
  * Switch to python3 and qt4.
  * Improve generation of the debug library variant.
    Split build and install steps again.
    Avoid building twice during -indep builds.
    Let the debug library be a Make target, avoiding two scons rebuilds in
    case of error in later steps.
  * Style. Drop debian/tmp/ prefix from debian/*.install.
  * Move the debug library into ffado-tools package.
    Almost no user will ever use the debug library without the ffado-debug
    wrapper, and most people installing libffado2 loose space for no purpose.
    The break/replace dependency already exists, see above.
  * .gitignore: keep upstream .gitignore untouched.
  * Lintian override explaining why ffado-tools:
    package-has-unnecessary-activation-of-ldconfig-trigger
    cannot be fixed inside ffado.
  * Minor fixes in dependencies.
    An explicit python interpreter is redundant with ${python3:Depends}.
    The 2.4.1~ snapshots should not conflict with themselves.
  * Ensure AUTHORS and README will be installed with debhelper >= 11.
    For now, debhelper automatically embeds them in every package.
  * Remove obsolete parts of debian/rules.
    DEB_CLEAN_EXCLUDE is older than the VCS.
       Without it, "rm -f $(DEB_DESTDIR)" is not needed anymore.
    DEB_PYTHON3_MODULE_PACKAGES is used for binary packages containing
       python modules, not for an executable.
    cdbs seems to create DEB_DESTDIR by itself.
    cdbs knows that reverse-config should be executed before clean.
    config.log scache.conf .sconf_temp are not created anymore.
  * Install mixer icon for desktop file. Closes: #834140.
  * Upstream has accepted to remove locale dependency from static_info.txt
    for reproducible contents, and to install it into /usr/lib.
    It may be installed into the binary packages again.

  [Felipe Sateler]
  * Change maintainer address to debian-multimedia@lists.debian.org.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 19 Apr 2018 22:03:01 +0200

libffado (2.4.0-2) unstable; urgency=medium

  * Update Vcs tags to point at salsa
  * Backport debian/control to debian/control.in
  * Regenerate debian/control

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 25 Feb 2018 23:08:53 +0100

libffado (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Delete obsolete patch cpuinfo-parsing.patch
  * Delete obsolete patch dbus_with_gcc7.patch
  * Delete obsolete patch gcc6.patch
  * Delete obsolete patch gcc7.patch
  * Delete obsolete patch powerpcspe.patch
  * Delete obsolete patch x32.patch
  * Add sconstruct.patch

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 25 Feb 2018 22:25:33 +0100
