=== debian/control ===
Source: libffado
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Free Ekanayaka <freee@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cdbs,
 dbus (>= 1.0.0),
# Until CDBS does support debhelper 11, see #885407.
 debhelper (>= 10),
 dh-python,
 libconfig++-dev,
 libdbus-1-dev,
 libdbus-c++-bin,
 libdbus-c++-dev,
 libexpat1-dev,
 libiec61883-dev (>= 1.1.0),
 libraw1394-dev (>= 1.3.0),
 libxml++2.6-dev,
 libxml2-dev (>= 2.6.13),
 pkg-config,
 pyqt5-dev-tools,
 python3,
 python3-dbus,
 python3-dbus.mainloop.pyqt5,
 python3-pyqt5,
 scons,
Standards-Version: 4.1.4
Section: libs
Homepage: http://www.ffado.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffado

Package: libffado-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
 libffado2 (= ${binary:Version}),
 libxml2-dev,
 ${misc:Depends},
Description: FFADO API - development files
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the development files.

Package: libffado2
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: FFADO API
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the shared library.

Package: ffado-tools
Section: sound
Architecture: linux-any
Depends:
 dbus (>= 1.0.0),
 libffado2 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Replaces:
 ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
 libffado2 (<< 2.4.1~),
Breaks:
 ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
 jackd1-firewire (<< 1:0.121.3+20120418git75e3e20b-1),
 jackd2-firewire (<< 1.9.8~dfsg.3+20120418gitf82ec715-1),
 libffado2 (<< 2.4.1~),
Description: FFADO debugging and firmware tools
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the following tools for firmware updating,
 troubleshooting and debugging:
     * ffado-test-streaming
     * ffado-diag
     * ffado-test-isoxmit
     * ffado-test-isorecv
     * ffado-bridgeco-downloader
     * ffado-test
     * ffado-fireworks-downloader
     * ffado-debug

Package: ffado-dbus-server
Section: sound
Architecture: linux-any
Depends:
 dbus (>= 1.0.0),
 libffado2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: FFADO D-Bus server
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the D-Bus server that exposes the mixer
 and control interfaces through D-Bus.

Package: ffado-mixer-qt4
Section: sound
Architecture: all
Depends:
 ffado-dbus-server (>= ${source:Version}),
 ffado-tools (>= ${source:Version}),
 python3-dbus,
 python3-dbus.mainloop.pyqt5,
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
Description: FFADO D-Bus mixer applets
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the mixer and control applications that
 communicate with ffado-dbus-server.
 .
 Despite the package name, the GUI has been updated.
