=== debian/changelog ===
libffado (2.4.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:15:01 +0100

libffado (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix loading of Qt 5. (Closes: #941034)
  * debian/control: Bump Standards-Version.
  * debian/: Avoid trigger generation for debug build of libffado.
  * debian/copyright: Fix license for appdata.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 23 Sep 2019 21:39:37 +0200

libffado (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * Add a patch to stop using config.guess to determine the host CPU,
    instead using DEB_HOST_GNU_CPU.  Closes: #933813

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Aug 2019 01:30:48 +0200
