=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-dbus.mainloop.pyqt5,
  python3-pyqt5,
  scons,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Section: libs
 Homepage: http://www.ffado.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
