=== debian/changelog ===
libffado (2.4.4-3) unstable; urgency=medium

  * debian/control: Move build dependencies for mixer to Build-Depends-Indep
    (Closes: #980823)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Oct 2021 22:22:39 +0200

libffado (2.4.4-2) unstable; urgency=medium

  * debian/control:
    - Remove obsolete Breaks+Replaces
    - Bump Standards-Version
    - Add myself to Uploaders
    - Set RRR: no
    - Remove libexpat1-dev from Build-Depends and annotate dbus with <!nocheck>
      This addresses parts of #980823.
  * debian/: Rewrite with dh 13
  * No longer build DEBUG=1 shared library
    Building with DEBUG=1 changes the ABI of the library. Binaries installed
    in ffado-tools use parts of the ABI the changes. (Closes: #996908)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Oct 2021 21:43:22 +0200

libffado (2.4.4-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Jonas Smedegaard ]
  * remove myelf as uploader

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Jan 2021 15:13:24 +0100
