=== debian/control ===
--- 
+++ 
@@ -4,34 +4,33 @@
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Free Ekanayaka <freee@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
+ Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends:
- cdbs,
- dbus (>= 1.0.0),
-# Until CDBS does support debhelper 11, see #885407.
- debhelper (>= 10),
- dh-python,
+ dbus (>= 1.0.0) <!nocheck>,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  libconfig++-dev,
  libdbus-1-dev,
  libdbus-c++-bin,
  libdbus-c++-dev,
- libexpat1-dev,
  libiec61883-dev (>= 1.1.0),
  libraw1394-dev (>= 1.3.0),
  libxml++2.6-dev,
  libxml2-dev (>= 2.6.13),
  pkg-config,
+ python3,
+ scons,
+Build-Depends-Indep:
  pyqt5-dev-tools,
- python3,
  python3-dbus,
  python3-dbus.mainloop.pyqt5,
  python3-pyqt5,
- scons,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Section: libs
 Homepage: http://www.ffado.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffado
+Rules-Requires-Root: no
 
 Package: libffado-dev
 Section: libdevel
@@ -72,14 +71,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Replaces:
- ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
- libffado2 (<< 2.4.1~),
-Breaks:
- ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
- jackd1-firewire (<< 1:0.121.3+20120418git75e3e20b-1),
- jackd2-firewire (<< 1.9.8~dfsg.3+20120418gitf82ec715-1),
- libffado2 (<< 2.4.1~),
 Description: FFADO debugging and firmware tools
  FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
  .
