## libffado 2.4.5

=== SConstruct ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Copyright (C) 2008, 2012 Jonathan Woithe
 #
 # This file is part of FFADO
-# FFADO = Free Firewire (pro-)audio drivers for linux
+# FFADO = Free FireWire (pro-)audio drivers for Linux
 #
 # FFADO is based upon FreeBoB.
 #
@@ -25,7 +25,7 @@
 from __future__ import print_function
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.4.4"
+FFADO_VERSION="2.4.5"
 
 from subprocess import Popen, PIPE, check_output
 import os
