=== debian/changelog ===
libffado (2.4.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream version 2.4.5

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 26 Feb 2022 15:25:54 +0100
