=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
  Free Ekanayaka <freee@debian.org>,
  Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends:
- dbus (>= 1.0.0) <!nocheck>,
+ dbus <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-python3,
  libconfig++-dev,
  libdbus-1-dev,
  libdbus-c++-bin,
  libdbus-c++-dev,
- libiec61883-dev (>= 1.1.0),
- libraw1394-dev (>= 1.3.0),
+ libiec61883-dev,
+ libraw1394-dev,
  libxml++2.6-dev,
- libxml2-dev (>= 2.6.13),
+ libxml2-dev,
  pkg-config,
  python3,
  scons,
@@ -66,7 +66,7 @@
 Section: sound
 Architecture: linux-any
 Depends:
- dbus (>= 1.0.0),
+ dbus,
  libffado2 (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -92,7 +92,7 @@
 Section: sound
 Architecture: linux-any
 Depends:
- dbus (>= 1.0.0),
+ dbus,
  libffado2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
