=== debian/changelog ===
libffado (2.4.6-1) unstable; urgency=medium

  * New upstream version 2.4.6
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Jul 2022 10:43:49 +0200
