=== debian/changelog ===
libffado (2.4.7-ok2) nile; urgency=medium

  * Fix build with python3.12: imp has been drop since python3.4 

 -- liwenjun <liwenjun@kylinos.cn>  Tue, 27 Aug 2024 11:07:11 +0800

libffado (2.4.7-ok1) yangtze; urgency=medium

  * Build for openKylin.

 -- denghao <denghao@kylinos.cn>  Mon, 20 Mar 2023 11:23:17 +0800
