=== debian/control ===
--- 
+++ 
@@ -1,10 +1,6 @@
 Source: libffado
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Adrian Knoth <adi@drcomp.erfurt.thur.de>,
- Free Ekanayaka <freee@debian.org>,
- Sebastian Ramacher <sramacher@debian.org>,
+Maintainer: Openkylin Developers <packaging@lists.openkylin.top>
 Build-Depends:
  dbus <!nocheck>,
  debhelper-compat (= 13),
@@ -25,11 +21,11 @@
  python3-dbus,
  python3-dbus.mainloop.pyqt5,
  python3-pyqt5,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: http://www.ffado.org/
-Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/ffado
+Vcs-Git: https://gitee.com/openkylin/libffado.git
+Vcs-Browser: https://gitee.com/openkylin/libffado
 Rules-Requires-Root: no
 
 Package: libffado-dev
