=== debian/control ===
--- 
+++ 
@@ -1,6 +1,10 @@
 Source: libffado
 Priority: optional
-Maintainer: Openkylin Developers <packaging@lists.openkylin.top>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Adrian Knoth <adi@drcomp.erfurt.thur.de>,
+ Free Ekanayaka <freee@debian.org>,
+ Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends:
  dbus <!nocheck>,
  debhelper-compat (= 13),
@@ -13,7 +17,7 @@
  libraw1394-dev,
  libxml++2.6-dev,
  libxml2-dev,
- pkg-config,
+ pkgconf,
  python3,
  scons,
 Build-Depends-Indep:
@@ -21,11 +25,11 @@
  python3-dbus,
  python3-dbus.mainloop.pyqt5,
  python3-pyqt5,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Section: libs
 Homepage: http://www.ffado.org/
-Vcs-Git: https://gitee.com/openkylin/libffado.git
-Vcs-Browser: https://gitee.com/openkylin/libffado
+Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ffado
 Rules-Requires-Root: no
 
 Package: libffado-dev
