## libffado 2.5.0

=== SConstruct ===
--- 
+++ 
@@ -25,7 +25,7 @@
 from __future__ import print_function
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.4.9"
+FFADO_VERSION="2.5.0"
 
 from subprocess import Popen, PIPE, check_output
 import os
