=== debian/changelog ===
libffado (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Jan 2026 15:58:07 +0100

libffado (2.4.9-3) unstable; urgency=medium

  * debian/: Use expat instead of libxml++ for serialization (Closes:
    #1121319)
  * debian/control:
    - Require a session bus (Closes: #1122619)
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 19 Dec 2025 13:45:09 +0100

libffado (2.4.9-2) unstable; urgency=medium

  * Team upload
  * Add missing B-D python3-setuptools (Closes: #1080633)

 -- Bastian Germann <bage@debian.org>  Sat, 08 Mar 2025 11:08:09 +0100
