=== debian/control ===
--- 
+++ 
@@ -6,31 +6,31 @@
  Free Ekanayaka <freee@debian.org>,
  Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends:
- dbus <!nocheck>,
+ default-dbus-session-bus | dbus-session-bus <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-python3,
  libconfig++-dev,
  libdbus-1-dev,
  libdbus-c++-bin,
  libdbus-c++-dev,
+ libexpat1-dev,
  libiec61883-dev,
  libraw1394-dev,
- libxml++2.6-dev,
  libxml2-dev,
  pkgconf,
  python3,
+ python3-setuptools,
  scons,
 Build-Depends-Indep:
  pyqt5-dev-tools,
  python3-dbus,
  python3-dbus.mainloop.pyqt5,
  python3-pyqt5,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Section: libs
 Homepage: http://www.ffado.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffado.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffado
-Rules-Requires-Root: no
 
 Package: libffado-dev
 Section: libdevel
@@ -66,7 +66,7 @@
 Section: sound
 Architecture: linux-any
 Depends:
- dbus,
+ default-dbus-session-bus | dbus-session-bus,
  libffado2 (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -92,7 +92,7 @@
 Section: sound
 Architecture: linux-any
 Depends:
- dbus,
+ default-dbus-session-bus | dbus-session-bus,
  libffado2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
