=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 			WILL_DEAL_WITH_XDG_MYSELF=1 \
 			DETECT_USERSPACE_ENV=0 \
 			ENABLE_OPTIMIZATION=no \
-			DEBUG=0
+			DEBUG=0 \
+			SERIALIZE_USE_EXPAT=1
 
 %:
 	dh $@
